<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MapView StructType
 * @subpackage Structs
 */
class MapView extends MapViewParent
{
    /**
     * The MapPositions
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfMapPosition
     */
    public $MapPositions;
    /**
     * The CurrentMapPositions
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfMapPosition
     */
    public $CurrentMapPositions;
    /**
     * Constructor method for MapView
     * @uses MapView::setMapPositions()
     * @uses MapView::setCurrentMapPositions()
     * @param \ArrayType\ArrayOfMapPosition $mapPositions
     * @param \ArrayType\ArrayOfMapPosition $currentMapPositions
     */
    public function __construct(\ArrayType\ArrayOfMapPosition $mapPositions = null, \ArrayType\ArrayOfMapPosition $currentMapPositions = null)
    {
        $this
            ->setMapPositions($mapPositions)
            ->setCurrentMapPositions($currentMapPositions);
    }
    /**
     * Get MapPositions value
     * @return \ArrayType\ArrayOfMapPosition|null
     */
    public function getMapPositions()
    {
        return $this->MapPositions;
    }
    /**
     * Set MapPositions value
     * @param \ArrayType\ArrayOfMapPosition $mapPositions
     * @return \StructType\MapView
     */
    public function setMapPositions(\ArrayType\ArrayOfMapPosition $mapPositions = null)
    {
        $this->MapPositions = $mapPositions;
        return $this;
    }
    /**
     * Get CurrentMapPositions value
     * @return \ArrayType\ArrayOfMapPosition|null
     */
    public function getCurrentMapPositions()
    {
        return $this->CurrentMapPositions;
    }
    /**
     * Set CurrentMapPositions value
     * @param \ArrayType\ArrayOfMapPosition $currentMapPositions
     * @return \StructType\MapView
     */
    public function setCurrentMapPositions(\ArrayType\ArrayOfMapPosition $currentMapPositions = null)
    {
        $this->CurrentMapPositions = $currentMapPositions;
        return $this;
    }
}
